> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Email Enrichment

> Enriches a known email address with profile-related data when available.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-email-enrichment
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows, search execution, and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Data Sources
    description: Focused provider lookups for LinkedIn, email, phone, and company data.
paths:
  /functions/v1/run-email-enrichment:
    post:
      tags:
        - Data Sources
      summary: Run Email Enrichment
      description: Enriches a known email address with profile-related data when available.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - email
              properties:
                email:
                  type: string
                  format: email
            example:
              email: john@example.com
      responses:
        '200':
          description: Enrichment completed.
          content:
            application/json:
              example:
                session_id: 66666666-6666-6666-6666-666666666666
                kind: email_enrichment
                email: sam@openai.com
                human: |-
                  # Email enrichment

                  - **Input Email:** sam@openai.com
                  - **Full names:** Sam Altman
                  - **Emails:** sam@openai.com
                  - **Phones:** +14155550123
                  - **Company:** OpenAI
                  - **LinkedIn:** https://www.linkedin.com/in/sam-altman/
                machine:
                  full_names:
                    - Sam Altman
                  gender: male
                  date_of_birth: null
                  emails:
                    - sam@openai.com
                  phones:
                    - '+14155550123'
                  locations:
                    - country: US
                      state: California
                      city: San Francisco
                  company: OpenAI
                  position: CEO
                  linkedin_profile: https://www.linkedin.com/in/sam-altman/
                  linkedin:
                    companyName: OpenAI
                    title: CEO
                    profileUrl: https://www.linkedin.com/in/sam-altman/
                  x_profile: https://x.com/sama
                  telegram_username: null
                total_points: 10
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````